Product and stock counts for the workspace overview
GET
/api/v1/workspaces/{workspaceId}/catalog-stats
const url = 'https://api.crossmart.io/api/v1/workspaces/example/catalog-stats';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.crossmart.io/api/v1/workspaces/example/catalog-statsParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspaceId
required
string
Responses
Section titled “Responses”Media typeapplication/json
object
products
required
number
activeProducts
required
number
draftProducts
required
number
archivedProducts
required
number
variants
required
number
outOfStockVariants
required
Tracked variants with nothing available
number
gaps
required
Products lacking what channels require
Array<object>
object
gap
required
string
products
required
Products with this gap
number
Example
{ "gaps": [ { "gap": "images" } ]}